packages: dhcp/dhcp.init - run checkconfig only once (it trashes syslog no ...

glen glen at pld-linux.org
Thu Nov 19 21:38:53 CET 2009


Author: glen                         Date: Thu Nov 19 20:38:53 2009 GMT
Module: packages                      Tag: HEAD
---- Log message:
- run checkconfig only once (it trashes syslog no matter what, so do it at least once then)

---- Files affected:
packages/dhcp:
   dhcp.init (1.24 -> 1.25) 

---- Diffs:

================================================================
Index: packages/dhcp/dhcp.init
diff -u packages/dhcp/dhcp.init:1.24 packages/dhcp/dhcp.init:1.25
--- packages/dhcp/dhcp.init:1.24	Thu Nov 19 20:26:15 2009
+++ packages/dhcp/dhcp.init	Thu Nov 19 21:38:47 2009
@@ -50,30 +50,37 @@
 }
 
 # wrapper for configtest
+checkconfig=-1
 checkconfig() {
 	local details=${1:-0}
 
+	# run checkconfig only once
+	if [ "$checkconfig" != -1 ]; then
+		return $checkconfig
+	fi
+
 	if [ $details = 1 ]; then
 		# run config test and display report (status action)
 		show "Checking %s configuration" "DHCP Server"; busy
 		local out
 		out=$(configtest 2>&1)
-		RETVAL=$?
-		if [ $RETVAL = 0 ]; then
+		checkconfig=$?
+		if [ $checkconfig = 0 ]; then
 			ok
 		else
 			fail
 		fi
 		[ "$out" ] && echo >&2 "$out"
+		RETVAL=$checkconfig
 	else
 		# run config test and abort with nice message if failed
 		# (for actions checking status before action).
 		configtest >/dev/null 2>&1
-		RETVAL=$?
-		if [ $RETVAL != 0 ]; then
+		checkconfig=$?
+		if [ $checkconfig != 0 ]; then
 			show "Checking %s configuration" "DHCP Server"; fail
 			nls 'Configuration test failed. See details with %s "checkconfig"' $0
-			exit $RETVAL
+			exit $checkconfig
 		fi
 	fi
 }
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/dhcp/dhcp.init?r1=1.24&r2=1.25&f=u



More information about the pld-cvs-commit mailing list